* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
}

.page {
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 0 15px;
  color: #fff;
}

h1 {
  font-size: 80px;
}

h2 {
  font-size: 40px;
  padding: 15px;
  text-transform: uppercase;
}

p {
  font-size: 18px;
  line-height: 1.4;
}

.btn {
  padding: 20px 25px;
  font-size: 20px;
  background-color: rgba(248, 246, 132, 0.8);
  color: rgb(12, 121, 112);
  margin: 10px;
  border-radius: 3px;
  display: inline-block;
  transition: opacity 1s ease-in-out;
}

a {
  text-decoration: none;
  color: rgb(185, 45, 69);
}

/* Hamburger Menu  */

.menu-wrap {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
}

.toggler {
  position: absolute;
  top: 0;
  left: 0;
  height: 50px;
  width: 50px;
  z-index: 2;
  opacity: 0;
  cursor: pointer;
}

.hamburger {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  height: 50px;
  width: 50px;
  padding: 10px;
  background: rgba(15, 102, 83, 0.20);
  display: flex;
  justify-content: center;
  align-items: center;
}


/* Hamburger Lines */
.menu-wrap .hamburger > div {
  position: relative;
  flex: none;
  width: 100%;
  height: 2px;
  background: #fff;
  
}

/* Hamburger Lines before and after */
.menu-wrap .hamburger > div::before,
.menu-wrap .hamburger > div::after {
  content: '';
  position: absolute;
  z-index: 1;
  top: 10px;
  width: 100%;
  height: 2px;
  background: inherit;
}

.menu-wrap .hamburger > div::after {
  top: -10px;
  
}

/* Hamburger Animation - lines to X */
.menu-wrap .toggler:checked + .hamburger > div {
  transform: rotate(135deg); 
}

.menu-wrap .toggler:checked + .hamburger > div::before,
.menu-wrap .toggler:checked + .hamburger > div::after {
  top: 0px;
  transform: rotate(90deg);  
}

.menu-wrap .toggler:checked:hover + .hamburger > div {
  transform: rotate(225deg);
}

/* Show Menu */
.menu-wrap .toggler:checked ~ .menu {
  visibility: visible;
}

.menu-wrap .toggler:checked ~ .menu > div {
  transform: scale(1);
  transition-duration: 0.5s; 
}

.menu-wrap .toggler:checked ~ .menu > div > div {
  opacity: 1;
  transition: opacity 0.4s ease 0.4s;
}

/* Menu Styling */
.menu-wrap .menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  visibility: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
}

/* This div sets the background overlay color efect */
.menu-wrap .menu > div {
  background-color: rgba(16, 180, 158, 0.877);
  border-radius: 50%;
  height: 1200%;
  width: 1200%;
  display: flex;
  justify-content: center;
  align-items: center;
  transform: scale(0);
}

/* This div stands for delaying the menu options effect */
.menu-wrap .menu > div > div {
  max-height: 90vh;
  max-width: 100vw;
  text-align: center;
  opacity: 0;
  transition: opacity 0.4s ease;
}

.menu-wrap .menu > div > div ul li {
  list-style: none;
  color: #fff;
  font-size: 35px;
  text-transform: uppercase;
  padding: 20px 0;
  transition: all 0.4s ease;
}

.menu-wrap .menu div div ul a li:hover {
  color: rgb(219, 198, 7);
}


#page-1, #page-2 {
  background-color:  rgba(219, 198, 7, 0.30);  
  position: relative;
}

#page-1:before,
#page-2:before,
#page-3:before,
#page-4:before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
}
#page-1:before {
  background: url(./img/spring.jpg) no-repeat center center/cover;
}

#page-2:before {
  background: url(./img/summer.jpg) no-repeat center center/cover;
}

#page-3 {
  background-color:  rgba(2, 126, 126, 0.35);
  position: relative;
}

#page-3:before {
  background: url(./img/autumn.jpg) no-repeat center center/cover;
}

#page-4 {
  background-color: rgba(23, 83, 65, 0.60);
  position: relative;
}

#page-4:before {
  background: url(./img/winter.jpg) no-repeat center center/cover;
}


/* Page Animation */
#page-1 h1 {
  transform: translateY(-1200px);
  animation: heading 1.5s ease-in forwards;
}

#page-1 h2 {
  transform: translateY(-1200px);
  animation: heading 1s ease-in forwards;
}

#page-1 p {
  transform: translateX(-1800px);
  animation: text 2s ease-in forwards 1s ;
}
/* Keyframes */

@keyframes heading {
  to {
    transform: translateY(0);
  }
}

@keyframes text {
  to {
    transform: translateX(0);
  }
}


